summaryrefslogtreecommitdiffstats
path: root/source/ap/man
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/man')
-rw-r--r--source/ap/man/doinst.sh7
-rw-r--r--source/ap/man/makewhatis.bzcat.bugfix.diff18
-rwxr-xr-xsource/ap/man/man.SlackBuild25
3 files changed, 38 insertions, 12 deletions
diff --git a/source/ap/man/doinst.sh b/source/ap/man/doinst.sh
index 22fa61d14..5f73b9859 100644
--- a/source/ap/man/doinst.sh
+++ b/source/ap/man/doinst.sh
@@ -10,5 +10,10 @@ config() {
fi
# Otherwise, we leave the .new copy for the admin to consider...
}
-config usr/lib/man.conf.new
+# Move old config file if there's nothing in the way:
+if [ -r usr/lib/man.conf -a ! -r etc/man.conf ]; then
+ mv usr/lib/man.conf etc/man.conf
+fi
+# Install new config file if none exists:
+config etc/man.conf.new
diff --git a/source/ap/man/makewhatis.bzcat.bugfix.diff b/source/ap/man/makewhatis.bzcat.bugfix.diff
new file mode 100644
index 000000000..27ca6cbc1
--- /dev/null
+++ b/source/ap/man/makewhatis.bzcat.bugfix.diff
@@ -0,0 +1,18 @@
+From e488c56037adbcff4be255bb95feaedb147898e9 Mon Sep 17 00:00:00 2001
+From: mancha <mancha1 AT zoho1 DOT com>
+Date: Sat, 18 Oct 2014
+Subject: awk like a boss
+
+"To fall-through, or not to fall-through, that is the transgression."
+
+--- a/src/makewhatis.sh
++++ b/src/makewhatis.sh
+@@ -264,7 +264,7 @@ do
+ match(filename,"\\.z$") || match(filename,"\\.gz$");
+ if (!use_zcat)
+ use_bzcat = match(filename,"\\.bz2");
+- if(!use_bzcat)
++ if (!use_bzcat && !use_zcat)
+ use_lzcat = match(filename,"\\.lzma");
+ if (use_zcat || use_bzcat || use_lzcat ) {
+ filename_no_gz = substr(filename, 0, RSTART - 1);
diff --git a/source/ap/man/man.SlackBuild b/source/ap/man/man.SlackBuild
index a58b21a23..23c253c68 100755
--- a/source/ap/man/man.SlackBuild
+++ b/source/ap/man/man.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2014, 2015 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,12 +22,12 @@
VERSION=1.6g
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-3}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
@@ -38,8 +38,8 @@ CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-man
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
@@ -56,8 +56,11 @@ cd $TMP
rm -rf $PKG
mkdir -p $TMP $PKG
rm -rf man-$VERSION
-tar xvf $CWD/man-$VERSION.tar.xz
-cd man-$VERSION
+tar xvf $CWD/man-$VERSION.tar.xz || exit 1
+cd man-$VERSION || exit 1
+
+# Fix conditional in makewhatis:
+zcat $CWD/makewhatis.bzcat.bugfix.diff.gz | patch -p1 --verbose || exit 1
# In man.conf, set NROFF to "/usr/bin/nroff -mandoc" rather
# than "/usr/bin/nroff -Tlatin1". This works better with
@@ -72,10 +75,10 @@ find . \
-exec chmod 644 {} \;
# configure doesn't care about CFLAGS
-./configure +lang all +traditional -confdir /usr/lib${LIBDIRSUFFIX}
-make CFLAGS="$SLKCFLAGS"
-make install PREFIX=$PKG
-mv $PKG/usr/lib${LIBDIRSUFFIX}/man.conf $PKG/usr/lib${LIBDIRSUFFIX}/man.conf.new
+./configure +lang all +traditional -confdir /etc
+make CFLAGS="$SLKCFLAGS" || exit 1
+make install PREFIX=$PKG || exit 1
+mv $PKG/etc/man.conf $PKG/etc/man.conf.new
( cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null